Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2013-2277

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2013-2277
Last Modified 10 Apr 2013 11:33:45
Published 27 Feb 2013 11:55:02
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2013-2277

Summary

The ff_h264_decode_seq_parameter_set function in h264_ps.c in libavcodec in FFmpeg before 1.1.3 does not validate the relationship between luma depth and chroma depth, which allows remote attackers to cause a denial of service (out-of-bounds array access and application crash) or possibly have unspecified other impact via crafted H.264 data.

Vulnerable Systems

Application

  • Ffmpeg 0.10

  • Ffmpeg 0.10.3

  • Ffmpeg 0.10.4

  • Ffmpeg 0.11

  • Ffmpeg 0.3

  • Ffmpeg 0.3.1

  • Ffmpeg 0.3.2

  • Ffmpeg 0.3.3

  • Ffmpeg 0.3.4

  • Ffmpeg 0.4.0

  • Ffmpeg 0.4.2

  • Ffmpeg 0.4.3

  • Ffmpeg 0.4.4

  • Ffmpeg 0.4.5

  • Ffmpeg 0.4.6

  • Ffmpeg 0.4.7

  • Ffmpeg 0.4.8

  • Ffmpeg 0.4.9

  • Ffmpeg 0.4.9 Pre1

  • Ffmpeg 0.5

  • Ffmpeg 0.5.1

  • Ffmpeg 0.5.2

  • Ffmpeg 0.5.3

  • Ffmpeg 0.5.4

  • Ffmpeg 0.5.4.5

  • Ffmpeg 0.5.4.6

  • Ffmpeg 0.6

  • Ffmpeg 0.6.1

  • Ffmpeg 0.6.2

  • Ffmpeg 0.6.3

  • Ffmpeg 0.7

  • Ffmpeg 0.7.1

  • Ffmpeg 0.7.11

  • Ffmpeg 0.7.12

  • Ffmpeg 0.7.2

  • Ffmpeg 0.7.3

  • Ffmpeg 0.7.4

  • Ffmpeg 0.7.5

  • Ffmpeg 0.7.6

  • Ffmpeg 0.7.7

  • Ffmpeg 0.7.8

  • Ffmpeg 0.7.9

  • Ffmpeg 0.8.0

  • Ffmpeg 0.8.1

  • Ffmpeg 0.8.10

  • Ffmpeg 0.8.11

  • Ffmpeg 0.8.2

  • Ffmpeg 0.8.5

  • Ffmpeg 0.8.5.3

  • Ffmpeg 0.8.5.4

  • Ffmpeg 0.8.6

  • Ffmpeg 0.8.7

  • Ffmpeg 0.8.8

  • Ffmpeg 0.9

  • Ffmpeg 0.9.1

  • Ffmpeg 1.0

  • Ffmpeg 1.1.1

  • Ffmpeg 1.1.2


References

CONFIRM - http://git.videolan.org/?p=ffmpeg.git;a=commit;h=bdeb61ccc67911cfc5e20c7cfb1312d0501ca90a

UBUNTU - USN-1790-1


Last Updated: 27 May 2016 11:01:58